import { _ as e, c as t, g as n, h as r, i, m as a, s as o, t as s, v as c } from "./chunk-K5T4RW27-T6hJxJM0.js";
//#region ../../node_modules/.pnpm/@mermaid-js+parser@1.1.0/node_modules/@mermaid-js/parser/dist/chunks/mermaid-parser.core/chunk-FOC6F5B3.mjs
var l = class extends s {
	static {
		a(this, "PacketTokenBuilder");
	}
	constructor() {
		super(["packet"]);
	}
}, u = { parser: {
	TokenBuilder: /* @__PURE__ */ a(() => new l(), "TokenBuilder"),
	ValueConverter: /* @__PURE__ */ a(() => new i(), "ValueConverter")
} };
function d(i = r) {
	let a = n(c(i), o), s = n(e({ shared: a }), t, u);
	return a.ServiceRegistry.register(s), {
		shared: a,
		Packet: s
	};
}
a(d, "createPacketServices");
//#endregion
export { d as n, u as t };
